> For the complete documentation index, see [llms.txt](https://docs.papayaglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papayaglobal.com/api-reference/payment-management/execute-payment-instructions.md).

# Execute Payment Instructions

The API immediately executes a payment request to the authorized beneficiary by specifying the payment ID.

<mark style="color:green;">**`POST`**</mark> /payments/payments/\<payment\_id>/send

**Body Parameters - Request**

| Name | Location      | Type   | Description               | Required |
| ---- | ------------- | ------ | ------------------------- | -------- |
| id   | url parameter | string | the payment id to execute | Yes      |

**Body Parameters -** **Response**

| Name                  | Type    | Format / Values                                                       | Description                                                                                                                                                                                                                                                                            |
| --------------------- | ------- | --------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| type                  | string  | payment                                                               | entity type (payment)                                                                                                                                                                                                                                                                  |
| id                    | string  |                                                                       | The unique id of the payment                                                                                                                                                                                                                                                           |
| correlation\_id       | string  |                                                                       | <p>correlation\_id is an external identifier that you provide to track payments within your own platform or system.<br>it must be unique identifier else the API request will fail</p>                                                                                                 |
| description           | string  |                                                                       | The remittence info to send as part of the payment                                                                                                                                                                                                                                     |
| amount                | object  |                                                                       | Specifies the amount of the payment                                                                                                                                                                                                                                                    |
| amount.type           | string  | LAND, SEND                                                            | Does the amount refer to the amount credited (LAND), or the amount debited (SEND)                                                                                                                                                                                                      |
| amount.amount         | number  |                                                                       | The amount (up to 3 decimal points)                                                                                                                                                                                                                                                    |
| amount.currency       | string  | /^\[A-Z]{3}$/                                                         | If the amount currency is different than the sender (for SEND) or target (for LAND), specify the 3 letter ISO currency code of the payment                                                                                                                                             |
| approved              | boolean |                                                                       | Has this payment been approved and ready for execution                                                                                                                                                                                                                                 |
| execution             | object  |                                                                       | specifies info for the executing date                                                                                                                                                                                                                                                  |
| execution.type        | string  | SEND, LAND                                                            | Does the date refer to the date the funds should arrive (LAND) or the date the funds should be sent (SEND), defaults to amount.type (future support)                                                                                                                                   |
| execution.date        | string  | date-time                                                             | The date this payment should be sent on (for SEND payments) or the date this payment should arrive by (for LAND payments)                                                                                                                                                              |
| execution.margin      | integer |                                                                       | number of hours before execution date, this payment may be sent if funds exist                                                                                                                                                                                                         |
| final                 | object  |                                                                       | Properties describing the finalization of this payment details                                                                                                                                                                                                                         |
| final.is\_final       | boolean |                                                                       | is the amount final                                                                                                                                                                                                                                                                    |
| final.expected        | string  | date-time                                                             | If the amount is not final yet, when is the final amount expected                                                                                                                                                                                                                      |
| purpose               | string  | /^\[A-Z]{4}$/                                                         | the purpose of the payment as a 4 letter iso-20022 code. see: <[![](https://www.iso20022.org/themes/custom/iso20022_theme/images/favicon/favicon-32x32.png)External code sets \| ISO20022](https://www.iso20022.org/catalogue-messages/additional-content-messages/external-code-sets) |
| source                | object  |                                                                       | source method                                                                                                                                                                                                                                                                          |
| source.type           | string  |                                                                       | the type of the entity                                                                                                                                                                                                                                                                 |
| source.id             | string  |                                                                       | the id of the entity                                                                                                                                                                                                                                                                   |
| target                | object  |                                                                       |                                                                                                                                                                                                                                                                                        |
| target.type           | string  |                                                                       | the type of the entity                                                                                                                                                                                                                                                                 |
| target.id             | string  |                                                                       |                                                                                                                                                                                                                                                                                        |
| attachments           | array   | object                                                                | List of files to attach to the payment                                                                                                                                                                                                                                                 |
| attachments\[]        | object  |                                                                       |                                                                                                                                                                                                                                                                                        |
| attachments\[].id     | string  |                                                                       | a unique id to give the attachment                                                                                                                                                                                                                                                     |
| attachments\[].title  | string  |                                                                       | A title to give the attachment                                                                                                                                                                                                                                                         |
| attachments\[].url    | string  |                                                                       | a url link to the attachment                                                                                                                                                                                                                                                           |
| user\_tags            | object  |                                                                       | A set of key/value pairs to tag the payment with                                                                                                                                                                                                                                       |
| info                  | object  |                                                                       | Extra info on the payment and its execution                                                                                                                                                                                                                                            |
| info.status           | string  | PENDING, COMPLETED, FAILED, PROCESSING, PARTIAL, CANCELLED, PROCESSED | The current payment status                                                                                                                                                                                                                                                             |
| info.credit           | object  |                                                                       | If the payment has been processed, holds the amount credited                                                                                                                                                                                                                           |
| info.credit.currency  | string  | /^\[A-Z]{3}$/                                                         | the 3 letter ISO currency code this payment will be credited in                                                                                                                                                                                                                        |
| info.credit.amount    | number  |                                                                       | The amount credited                                                                                                                                                                                                                                                                    |
| info.funding          | object  |                                                                       | If the payment has not been processed yet, holds information about the funding requirments                                                                                                                                                                                             |
| info.funding.currency | string  | /^\[A-Z]{3}$/                                                         | the 3 letter ISO currency code this amount is to be funded in                                                                                                                                                                                                                          |
| info.funding.amount   | number  |                                                                       | The amount required to fund                                                                                                                                                                                                                                                            |
| info.funding.date     | string  | date-time                                                             | The date the funding amount must arrive in the wallet by for this payment to execute on time                                                                                                                                                                                           |
| info.debit            | object  |                                                                       | The amount to be debited to wallet                                                                                                                                                                                                                                                     |
| info.debit.currency   | string  | /^\[A-Z]{3}$/                                                         | the 3 letter ISO currency code this payment will be debited in                                                                                                                                                                                                                         |
| info.debit.amount     | number  |                                                                       | The amount debited                                                                                                                                                                                                                                                                     |
| info.rate             | number  |                                                                       | FX rate applied to this payment (when cross currency)                                                                                                                                                                                                                                  |
| info.fees             | number  |                                                                       | Total amount (in debiting currency) of the debited amount collected as a transactional fee                                                                                                                                                                                             |

**Request Example**

```json
POST /payments/payments/awrJqByRRdmEBXSWRr_elg/send
```

**Response Examples**

{% tabs %}
{% tab title="200 - OK" %}

```json
{
   "id": "awrJqByRRdmEBXSWRr_elg",
   "purpose": "SALA",
   "source": {
      "id": "1573c466-53ba-46e7-a7f2-b6d49c79716b",
      "type": "group"
   },
   "target": {
      "type": "contact",
      "id": "9"
   },
   "info": {
      "debit": {
         "currency": "USD",
         "amount": 3456.98431
      },
      "status": "PROCESSING",
      "credit": {
         "currency": "AUD",
         "amount": 5000
      },
      "rate": 1.44634732,
      "fees": 0
   },
   "amount": {
      "type": "LAND",
      "amount": 5000
   },
   "execution": {
      "date": "2024-03-10T09:09:51Z"
   },
   "final": {
      "is_final": true,
      "expected": "2024-03-06T05:00:00Z"
   },
   "attachments": [],
   "approved": true,
   "user_tags": {}
}
```

{% endtab %}

{% tab title="400 - Bad Request" %}

```json
{
  "error": "bad_request",
  "description": "Validation errors: {\"type\":\"INDIVIDUAL\",\"id\":\"5SYjAkHqXHW0Z2cqBRW4JAAA\",\"cou... at root failed with \"Missing property org_id\"",
  "error_code": 400
}
```

{% endtab %}
{% endtabs %}

&#x20;
